const path = require("path");
const CopyWebpackPlugin = require("copy-webpack-plugin");

let background = global.platform.manifest.data.start_window;
let windows = global.platform.manifest.data.windows;

let pages = {};

for (let window in windows) {
	pages[window] = {
		entry: `${global.platform.area}/config/config.js?window=${window}&background=${background}`,
		template: "./src/templates/template.html",
		filename: windows[window].file,
		title: window
	};
}

module.exports = {
	outputDir: `./dist/${global.platform.title}`,
	filenameHashing: false,
	productionSourceMap: false,
	pages: pages,
	configureWebpack: {
		plugins: [
			new CopyWebpackPlugin({
				patterns: [
					{ from: global.platform.area + "/manifest.json", to: "" },
					{ from: global.platform.area + "/assets", to: "assets" }
				]
			})
		]
	},
	chainWebpack: (config) => {
		config.resolve.alias.set("@", path.resolve("./src"));
		config.resolve.alias.set("@areas", path.resolve("./src/areas"));
		config.resolve.alias.set("@app", path.resolve(global.platform.area));
	}
};