const argv = require("yargs").argv;
const fs = require("fs");

global.platform = {
	area: "./src/areas/" + argv.title,
	title: argv.title,
	manifest: null
};

// Check whether a project exists for the requested title
if (!fs.existsSync(global.platform.area)) {
	throw new Error("Project does not exist for the requested title.");
}

// Collect the metadata from the application manifest.json (or manifest.js) file
if (fs.existsSync(global.platform.area + "/manifest.json")) {
	global.platform.manifest = require(global.platform.area + "/manifest.json");
} else {
	throw new Error("manifest.json does not exist for the requested title.");
}

// Use the configuration of the requested title (see commands to compile a build for development or production)
if (fs.existsSync(global.platform.area + "/config/settings.js")) {
	const settings = require(global.platform.area + "/config/settings.js");

	module.exports = settings;
} else {
	throw new Error("settings.js does not exist for the requested title.");
}